Package org.firebirdsql.gds.ng.listeners

## Class DefaultDatabaseListener

- java.lang.Object
- - org.firebirdsql.gds.ng.listeners.DefaultDatabaseListener

All Implemented Interfaces:
  `DatabaseListener`

    @Deprecated
    public class DefaultDatabaseListener
    extends java.lang.Object
    implements DatabaseListener

Deprecated.
implementing `DatabaseListener` is sufficient as all its methods have a default implementation doing nothing, class will be removed in Jaybird 6
Default implementation of `DatabaseListener` where all implemented methods do nothing.

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`DefaultDatabaseListener()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.DatabaseListener

`detached, detaching, warningReceived`

### Constructor Detail

#### DefaultDatabaseListener

    public DefaultDatabaseListener()

Deprecated.